XMLLangShorthandParser (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo.properties

## Class XMLLangShorthandParser

- java.lang.Object
- - org.apache.fop.fo.properties.GenericShorthandParser
  - - org.apache.fop.fo.properties.XMLLangShorthandParser

- All Implemented Interfaces:
    ShorthandParser

      public class XMLLangShorthandParser
      extends GenericShorthandParser

  A parser for the xml:lang property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLLangShorthandParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

    - ### Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser

      `convertValueForProperty, getElement, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLLangShorthandParser

          public XMLLangShorthandParser()

  - ### Method Detail

    - #### getValueForProperty

          public Property getValueForProperty(int propId,
                                              Property property,
                                              PropertyMaker maker,
                                              PropertyList propertyList)
                                       throws PropertyException

      Specified by:
        `getValueForProperty` in interface `ShorthandParser`
      Overrides:
        `getValueForProperty` in class `GenericShorthandParser`
      Parameters:
        `propId` - the property ID in the Constants interface
        `property` - from which value is obtained
        `maker` - Maker object for the Property
        `propertyList` - list of properties
      Returns:
        Property object corresponding to propName
      Throws:
        `PropertyException` - in case a property exception occurs

Copyright © 2025 Apache Software Foundation. All rights reserved.